SDL_GetJoystickAxisInitialState(3)

NAME
SDL_GetJoystickAxisInitialState - Get the initial state of an axis control on a joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_bool SDL_GetJoystickAxisInitialState(SDL_Joystick *joystick, int axis, Sint16 *state);

DESCRIPTION
The state is a value ranging from -32768 to 32767. The axis indices start at index 0.

FUNCTION PARAMETERS

joystick
    an SDL_Joystick
     structure containing joystick information

axis
    the axis to query; the axis indices start at index 0

state
    Upon return, the initial value is supplied here.

RETURN VALUE
Returns SDL_TRUE
 if this axis has any initial value, or SDL_FALSE
 if not.

AVAILABILITY
This function is available since SDL 3.0.0.